<?php

namespace common\logic\Distribution\PointSaleDistribution\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Distribution\PointSaleDistribution\Model\PointSaleDistribution;
use common\logic\Distribution\PointSaleDistribution\Repository\PointSaleDistributionRepository;
use common\logic\Distribution\PointSaleDistribution\Service\PointSaleDistributionBuilder;

class PointSaleDistributionContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return PointSaleDistribution::class;
    }

    public function getServices(): array
    {
        return [
            PointSaleDistributionRepository::class,
            PointSaleDistributionBuilder::class,
        ];
    }

    public function getRepository(): PointSaleDistributionRepository
    {
        return PointSaleDistributionRepository::getInstance();
    }

    public function getBuilder(): PointSaleDistributionBuilder
    {
        return PointSaleDistributionBuilder::getInstance();
    }
}